apply plugin: 'java'
apply plugin: 'application'

group = 'minecraft'
version = '1.8.8'

compileJava {
    sourceCompatibility = targetCompatibility = 1.8
    options.encoding = 'UTF-8'
}

application {
    mainClassName = 'net.minecraft.server.MinecraftServer'
}

run {
    workingDir = new File(buildDir, 'run')
    if (!workingDir.exists()) {
        workingDir.mkdir()
    }

    args '--nogui'
}

repositories {
    mavenLocal()
    mavenCentral()
    flatDir { dirs '../libs' }
}

dependencies {
    compile name: 'com/mojang/authlib/1.5.21/authlib-1.5.21'

    compile 'org.apache.commons:commons-lang3:3.3.2'
    compile 'com.google.guava:guava:17.0'
    compile 'org.apache.logging.log4j:log4j-core:2.0-beta9'
    compile 'io.netty:netty-all:4.0.23.Final'
    compile 'com.google.code.gson:gson:2.2.4'
    compile 'commons-io:commons-io:2.4'
}
